export const name = "Scream";
export function process(binding, opts) {
  const modifiedEntries = binding.entries.map(entry => {
    if (binding.markdownKey in entry.data) {
      entry.data = {
        ...entry.data,
        [binding.markdownKey]: entry.data[binding.markdownKey].toUpperCase()
      }
    }

    return entry;
  });

  return {
    ...binding,
    entries: modifiedEntries
  };
}
